Subject: Re: bug#42304: 27.0.50; Emacs does not adjust to global font scaling anymore

From: Robert Pluim <[email-masked]>
Date: Mon, 09 Aug 2021 14:22:22 +0200

>>>>> On Sat, 31 Jul 2021 16:23:47 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >> >>> If I re-scale all fonts on my Gnome desktop with e.g.
    >> >>> 
    >> >>> dconf write /org/gnome/desktop/interface/text-scaling-factor 2.0
    >> >>> 
    >> >>> Emacs is the only application that does not change its font size
    >> >>> accordingly.  Instead, I have to re-start Emacs.

    Lars> I can reproduce this problem in Emacs 28.

I think attempting to get this to work with impure gtk is a losing
proposition. It doesnʼt work in the pgtk branch either. Harano-san,
would you have any suggestions?

Robert
--